
Foreman - Feature #1419

add feature attribute to proxy information

12/30/2011 08:07 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I need to know what the proxy does and currently foreman does not return the feature attribute via json.

Associated revisions

Revision d076d573 - 11/21/2012 08:10 AM - Joseph Magen

This commit adds most of the functionality required for API v1

The overall goal was to extract the existing JSON response

overall controllers, and to move them to a seperate name space.

documentation was added to all requests (available under /apidoc)

this include same request and response generated using

APIPIE_RECORD=examples rake test:api

Also Fixes #1800, fixes #1419, fixes #981 and fixes #1774

whats missing:

1. Permissions checks for all new controllers

2. Nested routes (e.g. /hosts/id/reports)

3. running tests with oauth/basic_auth (instead of as_admin {get /})

History

#1 - 11/15/2012 08:07 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to Bug scrub

part of https://github.com/theforeman/foreman/pull/239

#2 - 11/21/2012 08:28 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d076d5731d733bbc6210c81d3b11ed7d2ba8b9d7.
